#!/usr/bin/python
#Copyright 2010 Kristofer Occhipinti
#This program is distributed under the terms of the GNU General Public License Version 3
#See the license.txt file that should have come with this file or http://www.gnu.org/licenses/gpl.txt
#To contact the creator of this program or to find other work by Krisfer Occhipinti.
#Please visit http://filmsbykris.com/
#I would love to here from you and see how you've used and/or modified this code.

import sys, pygame, pygame.mixer
from pygame.locals import *
pygame.mixer.init()
pygame.init()

sound = pygame.mixer.Sound('sounds/shot.wav')
size = width, height = 800,480
black = 0,0,0

screen = pygame.display.set_mode(size)

bg = pygame.image.load("images/bg.jpg").convert()
bg = pygame.transform.scale(bg, (800,480)) #resize to screen size
shot = pygame.image.load("images/hole.png")
close = pygame.image.load("images/exit.png")
closebutton = close.get_rect()

screen.blit(bg,(0,0))
screen.blit(close,(670,0))

pygame.display.flip()

pygame.display.toggle_fullscreen()
while 1:
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			sys.exit()
		elif event.type == MOUSEBUTTONDOWN:
			sound.play()
			x,y = pygame.mouse.get_pos()
			screen.blit(screen,(0,0))
			screen.blit(shot,(x-24,y-24))
			pygame.display.flip()
			if (closebutton.collidepoint(x-670,y)):
				sys.exit()
		elif event.type == KEYDOWN and event.type == K_q:
			sys.exit()
